---
- name: "create_organization | Check if tmp operation path exist"
  register: "file_check"
  ansible.builtin.stat:
    path: "{{ var__install_apacheds__tmp_operation_path }}"

- name: "create_organization | Create tmp operation path"
  when: "not file_check.stat.exists"
  ansible.builtin.file:
    path: "{{ var__install_apacheds__tmp_operation_path }}"
    state: "directory"
    recurse: true
    mode: "0700"
    group: "{{ install_apacheds.system_group }}"
    owner: "{{ install_apacheds.system_user }}"

- name: "create_organization | Import createOrganization.ldif for organization: {{ organization.o }}"
  ansible.builtin.template:
    src: "create_organization/createOrganization.ldif.j2"
    dest: "{{ var__install_apacheds__tmp_operation_path }}/createOrganization.ldif"
    mode: "0700"
    group: "{{ install_apacheds.system_group }}"
    owner: "{{ install_apacheds.system_user }}"

- name: "create_organization | Create instance organization: {{ organization.o }}"
  register: "create_result"
  failed_when: "create_result.rc != 0 and create_result.rc != 68"
  changed_when: false
  ansible.builtin.command: >
    ldapadd -x -w '{{ install_apacheds__instance.system_password }}' -D "uid=admin,ou=system" -f {{ var__install_apacheds__tmp_operation_path }}/createOrganization.ldif -H ldap://localhost:10389
